com.google.gwt.touch.client

## Class TouchScroller.TemporalPoint

- java.lang.Object
- - com.google.gwt.touch.client.TouchScroller.TemporalPoint

Enclosing class:
  TouchScroller

    static class TouchScroller.TemporalPoint
    extends java.lang.Object

A point associated with a time. Visible for testing.

### Constructor Summary

Constructors
Constructor and Description
`TemporalPoint()`
`TemporalPoint(Point point, double time)` Construct a new `TouchScroller.TemporalPoint` for the specified point and time.

### Method Summary

All Methods Instance Methods Concrete Methods
`Point` `getPoint()`
`double` `getTime()`
`void` `setTemporalPoint(Point point, double time)` Update the point and time.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TemporalPoint

    public TemporalPoint()

#### TemporalPoint

    public TemporalPoint(Point point,
                         double time)

Construct a new `TouchScroller.TemporalPoint` for the specified point and time.

### Method Detail

#### getPoint

    public Point getPoint()

#### getTime

    public double getTime()

#### setTemporalPoint

    public void setTemporalPoint(Point point,
                                 double time)

Update the point and time.

Parameters:
  `point` - the new point
  `time` - the new time